Subject: Re: bug#18131: 24.4.50; View-search-... skips all matches between (point) and edge of window

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 26 Jun 2019 00:50:07 +0200

Dima Kogan <[email-masked]> writes:

>>> -	(move-to-window-line (if (< times 0) 0 -1)))
>>
>> If this was a design choice, then we should perhaps ask the person who
>> designed it what it's all about...  which isn't easy in this instance,
>> since this is very old code.
>>
>> Does anybody have an opinion here?
>
> Can we revisit this? I think view-mode behaving like 'less' does would
> be an improvement.

After playing with it a bit, I think you're right -- the current
behaviour seems really unobvious.  I've applied your patch to the trunk.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no